Public Class Form1

    Private Sub btnDate_Click(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles btnDate.Click

        'Declare variable
        Dim dteData As Date

        'Get the current date and time
        dteData = Now

        'Display the results
        MessageBox.Show(dteData, "Date Demo")

        'Display dates
        MessageBox.Show(dteData.ToLongDateString, "Date Demo")
        MessageBox.Show(dteData.ToShortDateString, "Date Demo")

        'Display times
        MessageBox.Show(dteData.ToLongTimeString, "Date Demo")
        MessageBox.Show(dteData.ToShortTimeString, "Date Demo")
    End Sub

    Private Sub btnDateProperties_Click(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles btnDateProperties.Click

        'Declare variable
        Dim dteData As Date

        'Get the current date and time
        dteData = Now

        'Display the various properties
        MessageBox.Show("Month: " & dteData.Month, "Date Demo")
        MessageBox.Show("Day: " & dteData.Day, "Date Demo")
        MessageBox.Show("Year: " & dteData.Year, "Date Demo")
        MessageBox.Show("Hour: " & dteData.Hour, "Date Demo")
        MessageBox.Show("Minute: " & dteData.Minute, "Date Demo")
        MessageBox.Show("Second: " & dteData.Second, "Date Demo")
        MessageBox.Show("Day of week: " & dteData.DayOfWeek, "Date Demo")
        MessageBox.Show("Day of year: " & dteData.DayOfYear, "Date Demo")
    End Sub

    Private Sub btnDateNames_Click(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles btnDateNames.Click

        'Declare variable
        Dim dteData As Date

        'Get the current date and time
        dteData = Now

        'Display the various properties
        MessageBox.Show("Weekday name: " & dteData.ToString("dddd"), "Date Demo")
        MessageBox.Show("Month name: " & dteData.ToString("MMMM"), "Date Demo")
    End Sub

    Private Sub btnDateLiterals_Click(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles btnDateLiterals.Click

        'Declare variable
        Dim dteData As Date

        'Get the current date and time
        dteData = #5/5/1967 6:41:00 AM#

        'Display the date and time
        MessageBox.Show(dteData.ToLongDateString & " " & _
            dteData.ToLongTimeString, "Date Demo")
    End Sub

    Private Sub btnDateManipulation_Click(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles btnDateManipulation.Click

        'Declare variables
        Dim dteStartDate As Date
        Dim dteChangedDate As Date

        'Start off in 2400
        dteStartDate = #2/28/2400#

        'Add a day and display the results
        dteChangedDate = dteStartDate.AddDays(1)
        MessageBox.Show(dteChangedDate.ToLongDateString, "Date Demo")

        'Add some months and display the results
        dteChangedDate = dteStartDate.AddMonths(6)
        MessageBox.Show(dteChangedDate.ToLongDateString, "Date Demo")

        'Subtract a year and display the results
        dteChangedDate = dteStartDate.AddYears(-1)
        MessageBox.Show(dteChangedDate.ToLongDateString, "Date Demo")
    End Sub
End Class
